Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 482602 - net-misc/dhcpcd-9999 - Create changelog from git
Summary: net-misc/dhcpcd-9999 - Create changelog from git
Status: RESOLVED WORKSFORME
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Core system (show other bugs)
Hardware: All Linux
: Normal enhancement (vote)
Assignee: William Hubbs
URL:
Whiteboard:
Keywords: PATCH
Depends on:
Blocks:
 
Reported: 2013-08-26 21:10 UTC by Thomas Deutschmann (RETIRED)
Modified: 2013-09-20 17:22 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Deutschmann (RETIRED) gentoo-dev 2013-08-26 21:10:12 UTC
Hi,

this is an enhancement for net-misc/dhcpcd's live ebuild, to create a changelog from git's commit messages:

--- dhcpcd-9999.ebuild.old	2013-08-26 23:02:37.000000000 +0200
+++ dhcpcd-9999.ebuild	2013-08-26 23:05:13.000000000 +0200
@@ -29,6 +29,14 @@
 
 src_prepare()
 {
+	if [[ ${PV} == 9999* ]] ; then
+		einfo "Producing ChangeLog from Git history ..."
+		pushd "${S}/.git" >/dev/null || die "Unable to chdir into ${S}/.git"
+		git log > "${S}"/ChangeLog || die "Unable to get logs from git"
+		popd >/dev/null || die "Unable chdir back to previous directory"
+	fi
+	
+	
 	epatch_user
 }



Reproducible: Always
Comment 1 William Hubbs gentoo-dev 2013-09-20 17:22:21 UTC
Due to the new git eclasses now using shallow clones, I don't think this
patch would still work. Please re-open if you find another way to do so,
and I'll re-consider doing this.

Thanks,

William